/* messages.h
 *
 * Copyright (c) 1999 Chris Smith
 *
 * This file is distributed under the GPL, version 2 or at your option any
 * later version.  See COPYING for details.
 */

#ifndef LPE_MESSAGES_H
#define LPE_MESSAGES_H

#include <string.h>
#include <errno.h>
#include "libintl.h"

#define _(a) gettext(a)

#if 0
/* Prompts for the minibuf used by various commands */
#define MSG_FILE_PROMPT      _("file: ")
#define MSG_SEARCH_PROMPT    _("search term: ")
#define MSG_LINE_PROMPT      _("line: ")
#define MSG_REP_PROMPT       _("count: ")
#define MSG_MODE_PROMPT      _("mode: ")
#define MSG_SHELL_PROMPT     _("shell: ")
#define MSG_AWK_PROMPT       _("awk: ")
#define MSG_SED_PROMPT       _("sed: ")
#define MSG_DEBUG_PROMPT     _("debug: ")

/* Notification messages for the minibuf */
#define MSG_NOTIFY_SAVED       _("File saved successfully")
#define MSG_NOTIFY_TAB_SOFT    _("Using soft tabs")
#define MSG_NOTIFY_TAB_HARD    _("Using hard tabs")
#define MSG_NOTIFY_FOUND       _("Found")
#define MSG_NOTIFY_NOT_FOUND   _("Not found")
#define MSG_NOTIFY_MISMATCH    _("Mismatched braces")
#define MSG_NOTIFY_AI_OFF      _("Autoindent off")
#define MSG_NOTIFY_AI_ON       _("Autoindent on")
#define MSG_NOTIFY_MACRO_ON    _("Macro recorder on")
#define MSG_NOTIFY_MACRO_OFF   _("Macro recorder off")
#define MSG_NOTIFY_FAILED      _("Command failed")

/* Error messages */
#define MSG_ERR_MEM            (strerror(ENOMEM))
#define MSG_ERR_MODIFIED       _("Current buffer modified")
#define MSG_ERR_PARAMS         _("Wrong number of parameters")
#define MSG_ERR_BADDEBUG       _("Unknown debug request")
#define MSG_ERR_MACRO_OVERFLOW _("Macro overflow")

/* Miscellaneous */
#define LPE_VERSION_STRING     _("%s version %s\n")
#define LPE_USAGE_STRING       _("usage:\t'lpe [--mode mode] [--] file'\topens file for editing\n\t'lpe --version'              \tprints version number\n\t'lpe --help'                 \tprints this help message\n")
#define LPE_CMDLINE_ERR        _("error in option: %s\n")
#endif /* 0 */
#endif /* LPE_MESSAGES_H */
